members.dev
Invoices

List Invoices

GET
/v1/invoices

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

status?|

Filter by invoice status.

subscription_id?|

Optional filter by subscription_id.

user_ids?array<>|

Filter by invoice snapshot user_ids (users on the subscription when the invoice was created). Repeat the parameter for multiple users.

page?integer

Page number

Default1
Range1 <= value
size?integer

Page size

Default50
Range1 <= value <= 100

Response Body

application/json

application/json

curl -X GET "https://api.members.dev/v1/invoices"
{
  "items": [
    {
      "id": "string",
      "user_ids": [
        "string"
      ],
      "status": "open",
      "due_at": null,
      "amount_original": 0,
      "amount_due": 0,
      "currency": "string",
      "subscription": {
        "subscription_id": "string",
        "period_starts_at": {},
        "period_ends_at": {}
      },
      "state_transitions": {
        "opened_at": {},
        "past_due_at": {},
        "paid_at": {},
        "voided_at": {}
      },
      "next_update": {
        "updates_at": null,
        "update_type": "past_due"
      },
      "created_at": null,
      "updated_at": null
    }
  ],
  "total": 0,
  "page": 1,
  "size": 1,
  "pages": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}